Bug 62280 - Broken rpm -27
Broken rpm -27
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: glibc (Show other bugs)
skipjack-beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-28 21:29 EST by Volkov Oleg
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-28 21:29:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Volkov Oleg 2002-03-28 21:29:16 EST
glibc-2.2.5-27 is definitely broken.

Starting with problems described at:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=61868

I discovered that size of whole glibc is about 1,3M (peoples from embede world would happy!)
But a long time ago glibc size iz more than 6M. This point on compilation error
when the named rpm was created.

# ll /lib/i686/libc.so.6
lrwxrwxrwx    1 root     root           13 Mar 24 17:33 /lib/i686/libc.so.6 ->
libc-2.2.5.so
# ll /lib/i686/libc-2.2.5.so
-rwxr-xr-x    1 root     root      1400136 Mar 14 22:34 /lib/i686/libc-2.2.5.so

A long time ago libc has more than 5M. This size is very strange.
# rpm -qf /lib/i686/libc-2.2.5.so
glibc-2.2.5-27
#  rpm -V glibc
.......T c /etc/rpc
Comment 1 Jakub Jelinek 2002-03-29 04:38:26 EST
Um, why do you think it is broken just because it decreased its size?
Previously, glibc included full debug information but 99.9% of users really
don't need it actually (especially when they don't have glibc sources installed).
So, the unstripped libraries were moved to glibc-debug and glibc-debug-static
packages and libraries in glibc package were stripped (strip -g to keep
symbol/string tables).

Note You need to log in before you can comment on or make changes to this bug.